<%@ page contentType="text/html;charset=gb2312"%> 
<%@ page import="java.io.*"%> 
<html> 
<head> 
<title>JSP中如何处理虚拟目录</title> 
</head> 
<body> 
取得虚拟目录对应的磁盘路径<br> 
Web站点主目录的位置为<font color=#ff0000> <%=request.getRealPath("/")%></font><br> 
JSP网页所在的目录位置<font color=#ff0000> <%=request.getRealPath("./")%></font><br> 
JSP网页所在目录上一层目录的位置<font color=#ff0000> <%=request.getRealPath("../")%></font><br> 
</body> 
</html> 
